TARANTOOL_BOX(1)

NAME
tarantool_box - open-source NoSQL database

SYNOPSIS
    tarantool_box [OPTIONS]

DESCRIPTION
Tarantool is an open-source NoSQL database, developed by Mail.ru.

Its key properties include:

•   Licence: simplified BSD

•   All data is maintained in RAM

•   Data persistence is implemented using Write Ahead Log and snapshotting

•   Supports asynchronous replication and hot standby

•   Uses coroutines and asynchronous I/O to implement high-performance lock-free access to data

•   Available on Linux and FreeBSD

•   Stored procedures in Lua are supported.

  Data model
The basic atom of storage in Tarantool is called tuple. A tuple can have arbitrary number of fields. The first field in the tuple is always the identifying unique key. Tuples form spaces. It is possible to search tuples in spaces using the primary or secondary keys. Fields in a tuple are type-agnostic. It is possible to change, as well as add or remove fields.

Command-line options

--cfg-get=KEY
    Returns a value from configuration file described by KEY.

--check-config
    Checks configuration file for errors.

-c FILE, --config=FILE
    Points a path to configuration file (default: /etc/tarantool.cfg).

--cat=FILE
    Cats snapshot file to stdout in readable format and exits.

--init-storage
    Initializes storage (an empty snapshot file) and exits.

-v, --verbose
    Increases verbosity level in log messages.

-B, --background
    Redirects input/output streams to a log file and runs as daemon.

-h, --help
    Displays helpscreen and exits.

-V, --version
    Prints program version and exits.